game = {
	init: function(){
		game.time = 0;
		game.isDead = false;
		
		game.counter = 0;
		
		game.roadDirection =  Math.floor(Math.random()*4);
		
		
		//8,10,12,14
		game.startingHour = 8+2*Math.floor(Math.random()*3);
	},
	directions: {
		0: 'NORTH',
		1: 'EAST',
		2: 'SOUTH',
		3: 'WEST'
	},
	anyKeyReady: false,
	showTitle: true,
	imageLoaded: false,
	mapLoaded: false,
	isDead: false,
	timePerDay: 288,
	timePerHour: 12,
	animateInterval: null,
	updateTime: function(step, exertion){
		game.time += step;
				
		temp.update();
		
		player.updateCoreTemp(step, exertion);
		player.updateHunger(step,exertion);
		
		player.hoursAwake += step/game.timePerHour;
		
		map.updateRabbits();
		
		if(player.coreTemp<85){
			player.hallucinate+=step;
		}else{
			player.hallucinate=Math.max(0,player.hallucinate-step*2);
		}
		
		if(player.hallucinate>.25){
			if(Math.random()<.05){
				rconsole.logNoBreak('<div>You feel confused.</div>');
			}
		}
		
		if(player.hallucinate>.5){
			if(Math.random()<.05){
				rconsole.logNoBreak('<div>It\'s nice to finally get out of the cold.</div>');
			}
		}
		
		
			
		inventory.updateWetness(step);
	},
	getHour:function(){
		return (game.startingHour+(game.time/game.timePerHour))% 24;
	},
	getTotalHours:function(){
		return game.time/game.timePerHour;
	},
	help: function(){
		rconsole.logNoBreak('<div class="help" >'+
			'* Use arrows/wasd to move. Left & right turn; they DO NOT STRAFE.'+
		'</div>'+
		'<div class="help" >'+
			'* Head toward the DIRECTION given in the beginning.'+
		'</div>'+
		'<div class="help" >'+
			'* It may take you WEEKS in game to escape the wilderness.'+
		'</div>'+
		'<div class="help" >'+
			'* This game is set in the NORTHERN HEMISPHERE.'+
		'</div>'+
		'<div class="help" >'+
			'* Don\'t FREEZE to death.'+
		'</div>'+
		'<div class="help" >'+
			'* Don\'t STARVE to death.'+
		'</div>'+
		'<div class="help" >'+
			'* Some of your experiences in the game may appear STRANGE. Do not be alarmed; this is the nature of freezing to death...'+
		'</div>');
	}
	
	/*
	
	
	
	
	
	*/
}